Skip to main content
GET
/
bank-account
/
detail
Get customer's bank account detail
curl --request GET \
  --url https://ramp-sandbox.hexarails.ai/bank-account/detail \
  --header 'X-API-Key: <api-key>'
{
  "status": "SUCCESS",
  "data": {
    "id": "67890",
    "customerId": "12345",
    "currency": "USD",
    "bankName": "Chase Bank",
    "accountNo": "1234567890",
    "createTime": "2024-01-01T00:00:00Z",
    "updateTime": "2024-01-02T00:00:00Z",
    "swift": "CHASUS33"
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

id
string
required

Bank account ID

Example:

"67890"

customerId
string

Customer ID

Example:

"6ac34182-aa2e-4290-ab1b-302a09f451d1"

Response

Get bank account detail successful

status
enum<string>
required

Success response status

Available options:
SUCCESS
Example:

"SUCCESS"

data
object
required

Response data